import TinyOnePageAnimate from './TinyOnePageAnimate';

/**
 * TinyHamburgerLeftAnimate
 *
 * Animation for a Panel that slides left in Screen
 *
 * @author Björn Hase
 * @license http://opensource.org/licenses/MIT The MIT License
 * @link https://gitlab.tentakelfabrik.de/tentakelfabrik/tiny-components/tiny-hamburger GitLab Repository
 */
export default class TinyOnePageHeightAnimate extends TinyOnePageAnimate
{
    /**
     *
     *
     */
    constructor()
    {
        super();
        this.maxHeight = 0;
    }

    /**
     * set max-height
     *
     * @return {string}
     */
    getStyles()
    {
        return 'max-height:' + this.maxHeight + 'px';
    }

    /**
     * set height of content
     *
     */
    prepareOpen()
    {
        this.maxHeight = this.component.$('.tiny-one-page__inner')
            .getBoundingClientRect().height;
    }

    /**
     * set height to 0
     *
     */
    prepareClose()
    {
        this.maxHeight = 0;
    }
}
